Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

"signal lost" with video and some telemetry

Discussion in 'Pro/Adv Discussion' started by razorseal, May 7, 2016.

  1. razorseal

    Joined:
    Jul 8, 2014
    Messages:
    34
    Likes Received:
    1
    Hey everyone,

    Flew the p3 adv today and got some good photos. Got home and did the update to the controller from 1.5.8 to 1.6

    now I'm having an issue where I have video and some telemetry (battery stats etc) but can't fly or much else...

    What is going on here?

    the p3 is on 1.8 IIRC.

    Any help guys? Going on vacation tomorrow and wanted to take the P3 along with me...

    Is the latest radio firmware 1.6?

    I have the 1.8 firmware on a SD card and installed it on the radio. Nothing happens after a minute... like it won't take it. I can only update my radio from the dji go app which shows it as latest.

    at a loss here :(
     

    Attached Files:

  2. RocketBrew

    Joined:
    Nov 24, 2015
    Messages:
    421
    Likes Received:
    224
    Location:
    Arizona
    Your AC version doesn't look correct.
    upload_2016-5-7_16-13-10.png

    Should be:
    App: 2.8.0
    AC: 1.8.80
    RC: 1.6.0
     
  3. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,093
    Likes Received:
    1,637
    Location:
    San Francisco, CA
    You can't install 1.8.80 on 1.15 FW.

    You should install 1.3.2 FW first and then you can install 1.8.80 FW.

    Its time for you to read the following doc in detail and carefully:
    P3 Firmware - HOW TO: Install Phantom 3 firmware
     
    #3 alokbhargava, May 7, 2016
    Last edited: May 7, 2016
  4. Oso

    Oso

    Joined:
    May 19, 2015
    Messages:
    2,521
    Likes Received:
    1,474
    Location:
    Sacramento CA
    1.6 is the current RC version, but this time around the AC FW is tied to a specific RC FW due to an encryption change. Since you are already at 1.6 on the RC, the AC must be 1.8. Since you have such an early FW version on your AC, you need to go to 1.32 first and then to 1.8. You can't go 1.8 directly.

    Your photo says otherwise sir.

    It's always a very bad idea to make FW changes right before a critical need such as a vacation or a job.

    The RC is now updated via the app and not via an SD card.
     
  5. razorseal

    Joined:
    Jul 8, 2014
    Messages:
    34
    Likes Received:
    1
    Not sure why it's readint 1.15 or whatever. That's not possible

    I installed 1.6 on it a while back. I even looked at the txt file to make sure. I've done the update several times in the past. I know how it works. I don't believe that version number is correct because not everything is displaiyng correctly (for example battery discharge keeps defaulting to 1 day instead of the 3 I have it set at)

    Even earlier when I flew today I looked because it said firmware update required. It said only the radio needed an update and not the P3.
     
  6. RocketBrew

    Joined:
    Nov 24, 2015
    Messages:
    421
    Likes Received:
    224
    Location:
    Arizona
    The problem is that the newer RC version just installed is not able to talk properly with the AC because of the encryption change. So you need to get the AC up to 1.8.80 for proper handshaking.
     
  7. razorseal

    Joined:
    Jul 8, 2014
    Messages:
    34
    Likes Received:
    1
    Not possible. I already updated the quad to 1.8 when it came out. what you see on the screen isn't correct. It's some type of error.

    Just incase I'm trying to install 1.3.2 and it's not installing anyways.

    I also tried another device (nvidia shield tablet and S7 phone) and same result.

    Is there anyways to hard reset the radio and/or the quad?
     
  8. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,093
    Likes Received:
    1,637
    Location:
    San Francisco, CA
    Still nothing lost, please download 1.3.2 bin file first, if it updates then its its confirmed that you had 1.15FW earlier else lets look at the txt file. Or can you post the latest txt file taken out of SD card.
     
  9. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,093
    Likes Received:
    1,637
    Location:
    San Francisco, CA
    Post your txt file from SD card please.
     
  10. razorseal

    Joined:
    Jul 8, 2014
    Messages:
    34
    Likes Received:
    1
    Just tried. nogo.

    I downloaded the file from DJI website, put the .bin file into SD card, put it in the quad and let it sit for a minute. Nope. didn't do anything.

    I don't have the old .txt fille from when I updated the quad about a month ago... I did certainly update it though because I remember lol (and it was successful) I was also flying it today and it only told me to update the radio, not the aircraft.

    is it possible to roll back the radio and try the update again?
     
  11. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,093
    Likes Received:
    1,637
    Location:
    San Francisco, CA
    You can roll back radio to 1.5 certainly.

    Will you extract the txt file from your SD card and post it?
    Are you sure you got 1.3.2 bin file from DJI site? You are not saying what did you download. We are in dark and don't know what u r doing.
     
  12. razorseal

    Joined:
    Jul 8, 2014
    Messages:
    34
    Likes Received:
    1
    Just tried again to look, now it's N/A. aircraft status shows "latest firmware" though.
     
  13. razorseal

    Joined:
    Jul 8, 2014
    Messages:
    34
    Likes Received:
    1
    alok, it's not possible for me to show you the text file, I updated to 1.8 about a month ago and long deleted that file.

    I'm 110% I got it from DJI website. Where else would I get it anyways? Phantom 3 Professional - Specs, FAQ, Tutorials, Downloads and DJI GO | DJI

    It won't update however because the quad has 1.8 installed. You can't roll back several versions.
     

    Attached Files:

  14. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,093
    Likes Received:
    1,637
    Location:
    San Francisco, CA
    show us the screen shot, I don't understand what u r saying.
     
  15. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,093
    Likes Received:
    1,637
    Location:
    San Francisco, CA
    Any time you try to install FW, a new txt file is generated. even if FW is aborted, txt file stays there. If yu delete it, it gets generated again when u try to install same FW or new.
     
  16. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,093
    Likes Received:
    1,637
    Location:
    San Francisco, CA
    Do you want to install FW 1.8.80 again? You can do it by following this video:

     
  17. razorseal

    Joined:
    Jul 8, 2014
    Messages:
    34
    Likes Received:
    1
    I'm confused what you don't understand brother.

    I flew my drone today at around 1 PM. at that time, I had 1.8 on the quad and 1.5.8 on the radio. She flew just fine and I got some great pictures

    Come home around 3 PM and noticed it was telling me I had an update required. It said quad has the latest version, but it made me download 1.6 for the radio. I did it.

    The radio did it's beeps, the blue flashes and got updated to 1.6

    I restarted the controller and the drone and radio connected. I had video feed and all. but at the top it says "Signal Lost"

    I figured it was a weird glitch so I shut everything off and powered back on. Same problem. Video feed and some telemetry with "signal lost"

    I tried my S7 phone instead of my Nvidia Shield tablet and same issue. It says "signal lost"

    the quad has 1.8 because I did the update last month when 1.8 came out. I deleted the txt file when I knew it did the update.

    so now I'm having a hard time having the quad connect to my P3 all the way.

    I cannot install 1.3.2 on my quad because I have 1.8. No idea why it shows 1.1.5 on there. It is giving bad info (it also says my battery discharge days are 1 when it is set to 3)
     
  18. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,093
    Likes Received:
    1,637
    Location:
    San Francisco, CA
    Please understand RC FW 1.5.8 will never work with AC FW 1.8.80. You can't fly with this combination. There is something wrong somewhere.

    If your quad has 1.8.80 FW and you try to install 1.8.80 back, It will abort, correct? and will generate a txt file. I want to see that txt file.
     
    Oso likes this.
  19. razorseal

    Joined:
    Jul 8, 2014
    Messages:
    34
    Likes Received:
    1
    ok I made a video, I'm uploading it. right now

    see it that helps?
     
  20. razorseal

    Joined:
    Jul 8, 2014
    Messages:
    34
    Likes Received:
    1
    I just tried uploading 1.3.2, 1.7 and 1.8. None of it is doing anything. it's as if there is no firmware in the sd card.